%define name t1lib
%define version 1.1.0
%define release 1mdk
%define lib_major 1
%define lib_name %{name}%{lib_major}

Summary: Type 1 font rasterizer
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.neuroinformatik.ruhr-uni-bochum.de/ini/PEOPLE/rmz/t1lib/t1lib.html
Source: ftp://ftp.neuroinformatik.ruhr-uni-bochum.de/pub/software/t1lib/t1lib-%{version}.tar.bz2
Patch1: t1lib-%{version}-docdir.patch.bz2
Group: System/Libraries
BuildRequires: XFree86-devel xpm-devel
Copyright: LGPL
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: XFree86-devel, tetex, tetex-dvips, tetex-latex
Serial: 1

%description
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.
T1lib also includes a support for antialiasing.

%package -n %{lib_name}
Summary: Type 1 font rasterizer
Group: System/Libraries
Obsoletes: %{name}
Provides: %{name}

%description -n %{lib_name}
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.
T1lib also includes a support for antialiasing.


%package -n %{lib_name}-devel
Summary: Type 1 font rasterizer
Group: Development/C
Requires: %{lib_name} = %{version}
Obsoletes: %{name}-devel
Provides: %{name}-devel

%description -n %{lib_name}-devel
Static libraries and header files required for compiling packages
needing the t1lib.

%package -n %{lib_name}-progs
Summary: Programs dor manipulating Type 1 font
Group: Graphics
Copyright: GPL
Requires: %{lib_name} = %{version}
Provides: %{name}-progs

%description -n %{lib_name}-progs
The t1lib-progs contains the programs "xglyph" and "type1afm"
It also contains the "t1libconfig" script used to configure t1lib.

%prep
%setup -q -n T1-%{version}
%patch1 -p1

%build
%configure
perl -pi -e 's,-DGLOBAL_CONFIG_DIR="\\"/usr/share/t1lib\\"",-DGLOBAL_CONFIG_DIR="\\"/etc/t1lib\\"",;' Makefile
make

(cd doc
make clean
make t1lib_doc.dvi
cp t1lib_doc.dvi t1lib_doc.dvi.save
make clean
make pdf
mv t1lib_doc.dvi.save t1lib_doc.dvi
dvips -P www t1lib_doc
# [gg] don't bzip2 here unless ghostscript will read directly bz2 files!
gzip t1lib_doc.ps)

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -rf $RPM_BUILD_ROOT%{_datadir}/t1lib/doc
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/t1lib
mv $RPM_BUILD_ROOT%{_datadir}/t1lib/t1lib.config $RPM_BUILD_ROOT%{_sysconfdir}/t1lib

%ifarch alpha
(cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libt1.so libt1.so.0)
%endif

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root)
%dir %{_sysconfdir}/t1lib
%config(noreplace) %{_sysconfdir}/t1lib/t1lib.config
%doc Changes LGPL README.t1python README.t1lib-1.1.0
%attr(755,root,root) %{_libdir}/libt1*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/t1lib_doc.ps* doc/t1lib_doc.pdf
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%files -n %{lib_name}-progs
%defattr(-,root,root)
%doc Changes LICENSE README.t1python
%attr(755,root,root) %{_bindir}/*

%changelog
* Tue Mar 13 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.0-1mdk
- updated to releases 1.1.0.
- gzip doc instead of bzip2.
- removed docdir patch.

* Wed Dec 27 2000 Yves Duret <yduret@mandrakesoft.com> 1.0.1-6mdk
- added a obsoletes -devel tag.

* Tue Dec 26 2000 Yves Duret <yduret@mandrakesoft.com> 1.0.1-5mdk
- splitted into main deval and progs packages.
- config file now in /etc as it should be
- used bzip2 instead of gzip for doc
- macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.1-4mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- BM + macroszification

* Tue May 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-2mdk
- Move .so from devel to package and add some links for alpha.

* Sat Apr 01 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.1-1mdk
- updated to version 1.0.1.
- moved .so file to devel package.
- exchanged package group between main and -devel packages.

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.2-3mdk
- fix group.

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force.

* Sat Oct 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.9.2.

* Thu Aug 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added PostScript documentation.
- split into main and devel package.

* Sun Aug 1 1999 Richard D. Jackson <richardj@1gig.net>
- first release of t1lib-0.9.1
